Subject: Re: bug#39340: 26.3; "Noto Emoji" font not displayed

From: [email-masked]
Date: Sat, 01 Feb 2020 12:54:52 +0900

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 31 Jan 2020 10:46:39 +0200
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>> 
>> > Also I found that OSMANYA DIGITs(U+104A0..U+104A9) are not displayed.
>> > By default, OSMANYA LETTERs(U+10480..U+1049D) are displayed with Ebrima
>> > font. But OSMANYA DIGITs are displayed as boxed hex numbers.
>> > Explicitly evaluating (set-fontset-font t '(#x104A0 . #x104A9) "Ebrima"),
>> > OSMANYA DIGITs are displayed as boxed hex numbers.
>> 
>> Maybe Ebrima doesn't have glyphs for OSMANYA DIGITs?  I'm not on
>> Windows 10, so I cannot check that.
>
> Tested on Windows 8.1: Ebrima does support OSMANYA DIGITs.
>
> However, I cannot reproduce the problem on Windows 8.1: both OSMANYA
> LETTERs and OSMANYA DIGITs are correctly displayed using Ebrima.  So
> my guess is that some font you installed gets in the way.
>
> One way of digging into this is start "emacs -Q", set font-log to nil,
> then type "C-x 8 RET 10490 RET", and then evaluate font-log.  Be sure
> to expand the ellipsis at the end of the value, to have the full list,
> and look at what fonts did Emacs try to open.  (The list is in reverse
> order, so start reading it from the end.)  Post the log here if you
> cannot figure this out.

Starting 'emacs -Q', I got 10480.txt with the following form.
  (let ((c #x10480)
        font-log)
    (insert c)
    (redisplay)
    (let ((coding-system-for-write 'utf-8-dos))
      (write-region (pp (reverse font-log)) nil (format "%X.txt" c))))

Starting another 'emacs -Q' and replacing the value of c to #x104A0,
I got 104A0.txt.

I confirmed that OSMANYA DIGITs are displayed in a Chrome browser window.